Loading...
Searching...
No Matches
pdftron::PDF::Optimizer Class Reference

`#include <Optimizer.h>`

## Public Types
typedef pdftron::PDF::ImageSettings | ImageSettings
typedef pdftron::PDF::MonoImageSettings | MonoImageSettings
typedef pdftron::PDF::TextSettings | TextSettings
typedef pdftron::PDF::OptimizerSettings | OptimizerSettings

## Static Public Member Functions
static void | Optimize (PDFDoc &doc, const OptimizerSettings &settings)
static void | Optimize (PDFDoc &doc)

## Detailed Description

The Optimizer class provides functionality for optimizing/shrinking output PDF files.

'pdftron.PDF.Optimizer' is an optional PDFNet Add-On utility class that can be used to optimize PDF documents by reducing the file size, removing redundant information, and compressing data streams using the latest in image compression technology. PDF Optimizer can compress and shrink PDF file size with the following operations:

- Remove duplicated fonts, images, ICC profiles, and any other data stream.
- Optionally convert high-quality or print-ready PDF files to small, efficient and web-ready PDF.
- Optionally down-sample large images to a given resolution.
- Optionally compress or recompress PDF images using JBIG2 and JPEG2000 compression formats.
- Compress uncompressed streams and remove unused PDF objects.

Note
  'Optimizer' is available as a separately licensable add-on to PDFNet core license.
  See 'pdftron.PDF.Flattener' for alternate approach to optimize PDFs for fast viewing on mobile devices and the Web.

Definition at line 41 of file Optimizer.h.

## Member Typedef Documentation

## ◆ ImageSettings

typedef pdftron::PDF::ImageSettings pdftron::PDF::Optimizer::ImageSettings

Definition at line 44 of file Optimizer.h.

## ◆ MonoImageSettings

typedef pdftron::PDF::MonoImageSettings pdftron::PDF::Optimizer::MonoImageSettings

Definition at line 45 of file Optimizer.h.

## ◆ OptimizerSettings

typedef pdftron::PDF::OptimizerSettings pdftron::PDF::Optimizer::OptimizerSettings

Definition at line 47 of file Optimizer.h.

## ◆ TextSettings

typedef pdftron::PDF::TextSettings pdftron::PDF::Optimizer::TextSettings

Definition at line 46 of file Optimizer.h.

## Member Function Documentation

## ◆ Optimize() [1/2]

void pdftron::PDF::Optimizer::Optimize | ( | PDFDoc & | doc | ) |
| static

## ◆ Optimize() [2/2]

void pdftron::PDF::Optimizer::Optimize | ( | PDFDoc & | doc,
|  | const OptimizerSettings & | settings )
| static

Optimize the given document using the optimizers settings

Parameters

  doc | the document to optimize
  color_image_settings | the image processing settings for color images
  grayscale_image_settings | the image processing settings for grayscale images
  mono_image_settings | the image processing settings for monochrome images

The documentation for this class was generated from the following file:

- PDF/Optimizer.h